<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'hr_request',

    /*
     * Modules.
     */
    'modules'   => ['hr_requests'],

    
    'hr_requests'       => [
        'model' => [
            'model'                 => \Bixo\HrRequest\Models\HrRequests::class,
            'table'                 => 'hr_requests',
            'presenter'             => \Bixo\HrRequest\Repositories\Presenter\HrRequestsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employee_id',  'team_id',  'type',  'title',  'date_from',  'date_to',  'document_type',  'addresee',  'leave_type',  'leave_half_day',  'description',  'amount',  'files',  'status',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'hr_request/hr_requests',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'HrRequest',
            'module'    => 'HrRequests',
        ],

    ],
];
