<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateHrRequestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: hr_requests
         */
        Schema::create('hr_requests', function ($table) {
            $table->increments('id');
            $table->integer('employee_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->enum('type', ['Document','Leave','Expense',''])->nullable();
            $table->char('title', 250)->nullable();
            $table->date('date_from')->nullable();
            $table->date('date_to')->nullable();
            $table->enum('document_type', ['NOC','Salary Certificate','Reference LEtter',''])->nullable();
            $table->string('addresee', 200)->nullable();
            $table->enum('leave_type', ['Paid','Unpaid','Sick','Maternity','Paternity',''])->nullable();
            $table->tinyInteger('leave_half_day')->nullable();
            $table->text('description')->nullable();
            $table->decimal('amount', 10,2)->nullable();
            $table->text('files')->nullable();
            $table->enum('status', ['Draft','Pending','Approved','Rejected','Deleted',''])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('hr_requests');
    }
}
