# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/bixo/hr_request/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/bixo/hr_request/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Bixo\\HrRequest\\": "packages/bixo/hr_request/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Bixo\HrRequest\Providers\HrRequestServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'HrRequest'  => Bixo\HrRequest\Facades\HrRequest::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Bixo\\HrRequestTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\HrRequest\Providers\HrRequestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\HrRequest\Providers\HrRequestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\HrRequest\Providers\HrRequestServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/hr_request/{modulename}

**User**

    http://path-to-route-folder/user/hr_request/{modulename}

**Public**

    http://path-to-route-folder/hr_requests


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/hr_request/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/hr_request/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/hr_request/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/hr_request/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/hr_request/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/hr_request/{modulename}/{slug}
    METHOD: GET