Lavalite package that provides hr_request management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/hr_request`.

    "bixo/hr_request": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\HrRequest\Providers\HrRequestServiceProvider::class,

And also add it to alias

    'HrRequest'  => Bixo\HrRequest\Facades\HrRequest::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\HrRequestTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\HrRequest\Providers\HrRequestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\HrRequest\Providers\HrRequestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\HrRequest\Providers\HrRequestServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/hr_request/{modulename}

**User**

    http://path-to-route-folder/user/hr_request/{modulename}

**Public**

    http://path-to-route-folder/hr_requests


### API endpoints

**List**

    http://path-to-route-folder/api/user/hr_request/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/hr_request/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/hr_request/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/hr_request/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/hr_request/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/hr_request/{modulename}/{slug}
    METHOD: GET