<?php

namespace Bixo\HrRequest;

use User;

class HrRequest
{
    /**
     * $hr_requests object.
     */
    protected $hr_requests;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\HrRequest\Interfaces\HrRequestsRepositoryInterface $hr_requests)
    {
        $this->hr_requests = $hr_requests;
    }

    /**
     * Returns count of hr_request.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.hr_requests.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->hr_requests->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\HrRequestsUserCriteria());
        }

        $hr_requests = $this->hr_requests->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('hr_request::' . $view, compact('hr_requests'))->render();
    }
}
