<?php

namespace Bixo\HrRequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HrRequestsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\HrRequest\Models\HrRequests $hr_requests)
    {
        return [
            'id'                => $hr_requests->getRouteKey(),
            'key'               => [
                'public'    => $hr_requests->getPublicKey(),
                'route'     => $hr_requests->getRouteKey(),
            ], 
            'employee_id'       => $hr_requests->employee_id,
            'team_id'           => $hr_requests->team_id,
            'type'              => $hr_requests->type,
            'title'             => $hr_requests->title,
            'date_from'         => $hr_requests->date_from,
            'date_to'           => $hr_requests->date_to,
            'document_type'     => $hr_requests->document_type,
            'addresee'          => $hr_requests->addresee,
            'leave_type'        => $hr_requests->leave_type,
            'leave_half_day'    => $hr_requests->leave_half_day,
            'description'       => $hr_requests->description,
            'amount'            => $hr_requests->amount,
            'files'             => $hr_requests->files,
            'user_id'           => $hr_requests->user_id,
            'user_type'         => $hr_requests->user_type,
            'deleted_at'        => $hr_requests->deleted_at,
            'url'               => [
                'public'    => trans_url('hr_request/'.$hr_requests->getPublicKey()),
                'user'      => guard_url('hr_request/hr_requests/'.$hr_requests->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hr_requests->status),
            'created_at'        => format_date($hr_requests->created_at),
            'updated_at'        => format_date($hr_requests->updated_at),
        ];
    }
}